generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\TermsBundle\Entity\Terms
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendTermsBundle
    pk_requirement: ~
    fields: 
      supportProductEmail:
        label: Email для відділу продукції
      supportTechEmail:
        label: Email для технічного відділу
      linkHomepage:
        formType: url
        label: Лінк на головній
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields:
           d_i_o:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Доставка і оплата
               ru:
                 label : Доставка и оплата
               en:
                 label : Shipping and payment 
           remont:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Ремонт    
               ru:
                 label : Ремонт
               en:
                 label : Repair
           garantija:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Гарантія    
               ru:
                 label : Гарантия
               en:
                 label : Warranty terms                  
           dyleram:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Дилерам    
               ru:
                 label : Дилерам
               en:
                 label : For dealers


    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Умови співпраці
            display: [id]
#            actions:
#                new: ~
            object_actions:
                edit: ~
#                delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title:  Умови співпраці
            tabs:
              "Головна інформація":
                    "Головна інформація": [translations, linkHomepage]
              "Налаштування email":
                    "Налаштування email": [hrEmail, supportProductEmail, supportTechEmail]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Умови співпраці"
            tabs:
              "Головна інформація":
                    "Головна інформація": [translations, linkHomepage]
              "Налаштування email":
                    "Налаштування email": [hrEmail, supportProductEmail, supportTechEmail]
            actions:
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: YourModel.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
